Bug 99399 - [NEW PORT] cad/tclspice: Improved version on SPICE3 suite with TCL scripting features
Summary: [NEW PORT] cad/tclspice: Improved version on SPICE3 suite with TCL scripting ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-24 03:00 UTC by Stanislav Sedov
Modified: 2006-06-26 19:35 UTC (History)
0 users

See Also:


Attachments
tclspice-0.2.18.shar (14.42 KB, text/plain)
2006-06-24 03:00 UTC, Stanislav Sedov
no flags Details
Makefile.diff (560 bytes, patch)
2006-06-26 19:12 UTC, Stanislav Sedov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Sedov 2006-06-24 03:00:36 UTC
TclSpice is an improved version of Berkeley Spice designed to be used with 
the Tcl/Tk scripting language. The project is open-source (BSD license) 
and based upon the NG-Spice source code base with many improvements

Features and Improvements
 - Fully Tcl scriptable - installs with 'package require spice' statement
 - Hspice syntax (SpicePP).
 - GUI interfaces, various (Tk).
 - SpiceWish (BLT graph widget)
 - BLT (tcl compatible) vectors for storage, manipulation and arithmetic 
	upon Spice waveforms.
 - Xspice additions (Georgia Tech).
 - Trigger upon waveform events.
 - Spice 'simulator state' save and restore for rapid 'what-if' simulations 
	(no longer need to re-simulate from the beginning each time a 
	device value is changed).

Author:	Stefan Jones <stefan.jones@multigig.com>
WWW:	http://tclspice.sourceforge.net/

-------------------------------------------------------------------

I've decided to install tcl files to ${PREFIX}/lib/${PORTNAME} since
other tcl packaged do so.
Comment 1 Pav Lucistnik freebsd_committer 2006-06-26 16:16:34 UTC
State Changed
From-To: open->feedback

Does not configure, complains about missing tclreadline. 


Comment 2 Pav Lucistnik freebsd_committer 2006-06-26 16:16:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 3 Stanislav Sedov 2006-06-26 19:12:50 UTC
On Mon, 26 Jun 2006 15:16:48 GMT
Pav Lucistnik <pav@FreeBSD.org> wrote:

> Synopsis: [NEW PORT] cad/tclspice: Improved version on SPICE3 suite with TCL scripting features
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: pav
> State-Changed-When: Mon Jun 26 15:16:34 UTC 2006
> State-Changed-Why: 
> Does not configure, complains about missing tclreadline.
> 
> 
> Responsible-Changed-From-To: freebsd-ports-bugs->pav
> Responsible-Changed-By: pav
> Responsible-Changed-When: Mon Jun 26 15:16:34 UTC 2006
> Responsible-Changed-Why: 
> Track
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=99399
> 
> 

There is a patch fixing that.

There is one problem with it. We can't check if tclreadline
compiled with tcl8.4 support or not. This can be solved
by creating slave port for tclreadline8.4. By default
tclreadline build with 8.4 support.
Comment 4 Pav Lucistnik freebsd_committer 2006-06-26 19:35:33 UTC
State Changed
From-To: feedback->closed

New port added, thank you!